/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * require_extensions: GL_ARB_gpu_shader_fp64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * clamp(dvec2(np.float64(-2.0)lf, np.float64(-2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf)
 * clamp(dvec2(np.float64(-2.0)lf, np.float64(-2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)
 * clamp(dvec2(np.float64(-2.0)lf, np.float64(-2.0)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)) => dvec2(np.float64(0.0)lf, np.float64(1.5)lf)
 * clamp(dvec2(np.float64(-0.6666666666666667)lf, np.float64(-0.6666666666666667)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(-1.5)lf, np.float64(-0.6666666666666667)lf)
 * clamp(dvec2(np.float64(-0.6666666666666667)lf, np.float64(-0.6666666666666667)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(-0.6666666666666667)lf, np.float64(0.0)lf)
 * clamp(dvec2(np.float64(-0.6666666666666667)lf, np.float64(-0.6666666666666667)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)) => dvec2(np.float64(0.0)lf, np.float64(1.5)lf)
 * clamp(dvec2(np.float64(0.6666666666666665)lf, np.float64(0.6666666666666665)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)
 * clamp(dvec2(np.float64(0.6666666666666665)lf, np.float64(0.6666666666666665)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(0.6666666666666665)lf, np.float64(0.0)lf)
 * clamp(dvec2(np.float64(0.6666666666666665)lf, np.float64(0.6666666666666665)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)) => dvec2(np.float64(0.6666666666666665)lf, np.float64(1.5)lf)
 * clamp(dvec2(np.float64(2.0)lf, np.float64(2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)
 * clamp(dvec2(np.float64(2.0)lf, np.float64(2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)) => dvec2(np.float64(1.5)lf, np.float64(0.0)lf)
 * clamp(dvec2(np.float64(2.0)lf, np.float64(2.0)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)) => dvec2(np.float64(1.5)lf, np.float64(1.5)lf)
 */
#version 150
#extension GL_ARB_gpu_shader_fp64 : require

void main()
{
  double[distance(clamp(dvec2(np.float64(-2.0)lf, np.float64(-2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf)) <= np.float64(2.1213203435596428e-05)lf ? 1 : -1] array0;
  double[distance(clamp(dvec2(np.float64(-2.0)lf, np.float64(-2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array1;
  double[distance(clamp(dvec2(np.float64(-2.0)lf, np.float64(-2.0)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)), dvec2(np.float64(0.0)lf, np.float64(1.5)lf)) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array2;
  double[distance(clamp(dvec2(np.float64(-0.6666666666666667)lf, np.float64(-0.6666666666666667)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(-1.5)lf, np.float64(-0.6666666666666667)lf)) <= np.float64(1.641476300299351e-05)lf ? 1 : -1] array3;
  double[distance(clamp(dvec2(np.float64(-0.6666666666666667)lf, np.float64(-0.6666666666666667)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(-0.6666666666666667)lf, np.float64(0.0)lf)) <= np.float64(6.666666666666668e-06)lf ? 1 : -1] array4;
  double[distance(clamp(dvec2(np.float64(-0.6666666666666667)lf, np.float64(-0.6666666666666667)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)), dvec2(np.float64(0.0)lf, np.float64(1.5)lf)) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array5;
  double[distance(clamp(dvec2(np.float64(0.6666666666666665)lf, np.float64(0.6666666666666665)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array6;
  double[distance(clamp(dvec2(np.float64(0.6666666666666665)lf, np.float64(0.6666666666666665)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(0.6666666666666665)lf, np.float64(0.0)lf)) <= np.float64(6.666666666666666e-06)lf ? 1 : -1] array7;
  double[distance(clamp(dvec2(np.float64(0.6666666666666665)lf, np.float64(0.6666666666666665)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)), dvec2(np.float64(0.6666666666666665)lf, np.float64(1.5)lf)) <= np.float64(1.641476300299351e-05)lf ? 1 : -1] array8;
  double[distance(clamp(dvec2(np.float64(2.0)lf, np.float64(2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(-1.5)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf)) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array9;
  double[distance(clamp(dvec2(np.float64(2.0)lf, np.float64(2.0)lf), dvec2(np.float64(-1.5)lf, np.float64(0.0)lf), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)), dvec2(np.float64(1.5)lf, np.float64(0.0)lf)) <= np.float64(1.5000000000000002e-05)lf ? 1 : -1] array10;
  double[distance(clamp(dvec2(np.float64(2.0)lf, np.float64(2.0)lf), dvec2(np.float64(0.0)lf, np.float64(1.5)lf), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)), dvec2(np.float64(1.5)lf, np.float64(1.5)lf)) <= np.float64(2.1213203435596428e-05)lf ? 1 : -1] array11;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length());
}
