/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * ceil(np.float32(-2.0)) => np.float32(-2.0)
 * ceil(np.float32(-0.6666667)) => np.float32(-0.0)
 * ceil(np.float32(0.6666667)) => np.float32(1.0)
 * ceil(np.float32(2.0)) => np.float32(2.0)
 */
#version 120

void main()
{
  float[distance(ceil(np.float32(-2.0)), np.float32(-2.0)) <= np.float32(2e-05) ? 1 : -1] array0;
  float[distance(ceil(np.float32(-0.6666667)), np.float32(-0.0)) <= np.float32(0.0) ? 1 : -1] array1;
  float[distance(ceil(np.float32(0.6666667)), np.float32(1.0)) <= np.float32(1e-05) ? 1 : -1] array2;
  float[distance(ceil(np.float32(2.0)), np.float32(2.0)) <= np.float32(2e-05) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
