/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(0.0)) => mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0))
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(-1.33)) => mat2(np.float32(2.93), np.float32(2.8600001), np.float32(2.0900002), np.float32(0.33000004))
 * (mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(0.85)) => mat2(np.float32(0.75), np.float32(0.67999995), np.float32(-0.09000003), np.float32(-1.85))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(0.0)) => mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(-1.33)) => mat2(np.float32(1.2), np.float32(-0.06999993), np.float32(0.46000004), np.float32(2.73))
 * (mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(0.85)) => mat2(np.float32(-0.98), np.float32(-2.25), np.float32(-1.72), np.float32(0.54999995))
 */
#version 120

void main()
{
  float[pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(0.0))[0], vec2(np.float32(1.6), np.float32(1.53))), 2) + pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(0.0))[1], vec2(np.float32(0.76), np.float32(-1.0))), 2) <= np.float32(6.4784994e-10) ? 1 : -1] array0;
  float[pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(-1.33))[0], vec2(np.float32(2.93), np.float32(2.8600001))), 2) + pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(-1.33))[1], vec2(np.float32(2.0900002), np.float32(0.33000004))), 2) <= np.float32(2.12415e-09) ? 1 : -1] array1;
  float[pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(0.85))[0], vec2(np.float32(0.75), np.float32(0.67999995))), 2) + pow(distance((mat2(np.float32(1.6), np.float32(1.53), np.float32(0.76), np.float32(-1.0)) - np.float32(0.85))[1], vec2(np.float32(-0.09000003), np.float32(-1.85))), 2) <= np.float32(4.4554999e-10) ? 1 : -1] array2;
  float[pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(0.0))[0], vec2(np.float32(-0.13), np.float32(-1.4))), 2) + pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(0.0))[1], vec2(np.float32(-0.87), np.float32(1.4))), 2) <= np.float32(4.6938e-10) ? 1 : -1] array3;
  float[pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(-1.33))[0], vec2(np.float32(1.2), np.float32(-0.06999993))), 2) + pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(-1.33))[1], vec2(np.float32(0.46000004), np.float32(2.73))), 2) <= np.float32(9.1094005e-10) ? 1 : -1] array4;
  float[pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(0.85))[0], vec2(np.float32(-0.98), np.float32(-2.25))), 2) + pow(distance((mat2(np.float32(-0.13), np.float32(-1.4), np.float32(-0.87), np.float32(1.4)) - np.float32(0.85))[1], vec2(np.float32(-1.72), np.float32(0.54999995))), 2) <= np.float32(9.2838004e-10) ? 1 : -1] array5;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length());
}
