/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) << ivec3(np.int32(22), np.int32(23), np.int32(4))) => ivec3(np.int32(92274688), np.int32(-192937984), np.int32(64))
 * (ivec3(np.int32(22), np.int32(-23), np.int32(4)) << ivec3(np.int32(19), np.int32(1), np.int32(13))) => ivec3(np.int32(11534336), np.int32(-46), np.int32(32768))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) << ivec3(np.int32(22), np.int32(23), np.int32(4))) => ivec3(np.int32(92274688), np.int32(192937984), np.int32(64))
 * (ivec3(np.int32(22), np.int32(23), np.int32(4)) << ivec3(np.int32(19), np.int32(1), np.int32(13))) => ivec3(np.int32(11534336), np.int32(46), np.int32(32768))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) << ivec3(np.int32(22), np.int32(23), np.int32(4))) => ivec3(np.int32(-79691776), np.int32(8388608), np.int32(-208))
 * (ivec3(np.int32(-19), np.int32(1), np.int32(-13)) << ivec3(np.int32(19), np.int32(1), np.int32(13))) => ivec3(np.int32(-9961472), np.int32(2), np.int32(-106496))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) << ivec3(np.int32(22), np.int32(23), np.int32(4))) => ivec3(np.int32(79691776), np.int32(8388608), np.int32(208))
 * (ivec3(np.int32(19), np.int32(1), np.int32(13)) << ivec3(np.int32(19), np.int32(1), np.int32(13))) => ivec3(np.int32(9961472), np.int32(2), np.int32(106496))
 */
#version 130

void main()
{
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) << ivec3(np.int32(22), np.int32(23), np.int32(4))), ivec3(np.int32(92274688), np.int32(-192937984), np.int32(64)))) ? 1 : -1] array0;
  float[all(equal((ivec3(np.int32(22), np.int32(-23), np.int32(4)) << ivec3(np.int32(19), np.int32(1), np.int32(13))), ivec3(np.int32(11534336), np.int32(-46), np.int32(32768)))) ? 1 : -1] array1;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) << ivec3(np.int32(22), np.int32(23), np.int32(4))), ivec3(np.int32(92274688), np.int32(192937984), np.int32(64)))) ? 1 : -1] array2;
  float[all(equal((ivec3(np.int32(22), np.int32(23), np.int32(4)) << ivec3(np.int32(19), np.int32(1), np.int32(13))), ivec3(np.int32(11534336), np.int32(46), np.int32(32768)))) ? 1 : -1] array3;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) << ivec3(np.int32(22), np.int32(23), np.int32(4))), ivec3(np.int32(-79691776), np.int32(8388608), np.int32(-208)))) ? 1 : -1] array4;
  float[all(equal((ivec3(np.int32(-19), np.int32(1), np.int32(-13)) << ivec3(np.int32(19), np.int32(1), np.int32(13))), ivec3(np.int32(-9961472), np.int32(2), np.int32(-106496)))) ? 1 : -1] array5;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) << ivec3(np.int32(22), np.int32(23), np.int32(4))), ivec3(np.int32(79691776), np.int32(8388608), np.int32(208)))) ? 1 : -1] array6;
  float[all(equal((ivec3(np.int32(19), np.int32(1), np.int32(13)) << ivec3(np.int32(19), np.int32(1), np.int32(13))), ivec3(np.int32(9961472), np.int32(2), np.int32(106496)))) ? 1 : -1] array7;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
