/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (- uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)) => uvec3(np.uint32(4294967260)u, np.uint32(4294967264)u, np.uint32(4294967208)u)
 * (- uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)) => uvec3(np.uint32(4294967237)u, np.uint32(4294967219)u, np.uint32(4294967228)u)
 */
#version 130

void main()
{
  float[all(equal((- uvec3(np.uint32(36)u, np.uint32(32)u, np.uint32(88)u)), uvec3(np.uint32(4294967260)u, np.uint32(4294967264)u, np.uint32(4294967208)u))) ? 1 : -1] array0;
  float[all(equal((- uvec3(np.uint32(59)u, np.uint32(77)u, np.uint32(68)u)), uvec3(np.uint32(4294967237)u, np.uint32(4294967219)u, np.uint32(4294967228)u))) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
