/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * abs(ivec4(np.int32(-5), np.int32(-2), np.int32(-1), np.int32(0))) => ivec4(np.int32(5), np.int32(2), np.int32(1), np.int32(0))
 * abs(ivec4(np.int32(1), np.int32(2), np.int32(5), np.int32(-5))) => ivec4(np.int32(1), np.int32(2), np.int32(5), np.int32(5))
 */
#version 150

void main()
{
  float[all(equal(abs(ivec4(np.int32(-5), np.int32(-2), np.int32(-1), np.int32(0))), ivec4(np.int32(5), np.int32(2), np.int32(1), np.int32(0)))) ? 1 : -1] array0;
  float[all(equal(abs(ivec4(np.int32(1), np.int32(2), np.int32(5), np.int32(-5))), ivec4(np.int32(1), np.int32(2), np.int32(5), np.int32(5)))) ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
