/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * inversesqrt(np.float32(0.1)) => np.float32(3.1622777)
 * inversesqrt(np.float32(0.73333335)) => np.float32(1.1677485)
 * inversesqrt(np.float32(1.3666667)) => np.float32(0.8553989)
 * inversesqrt(np.float32(2.0)) => np.float32(0.70710677)
 */
#version 150

void main()
{
  float[distance(inversesqrt(np.float32(0.1)), np.float32(3.1622777)) <= np.float32(3.1622778e-05) ? 1 : -1] array0;
  float[distance(inversesqrt(np.float32(0.73333335)), np.float32(1.1677485)) <= np.float32(1.1677484e-05) ? 1 : -1] array1;
  float[distance(inversesqrt(np.float32(1.3666667)), np.float32(0.8553989)) <= np.float32(8.55399e-06) ? 1 : -1] array2;
  float[distance(inversesqrt(np.float32(2.0)), np.float32(0.70710677)) <= np.float32(7.071068e-06) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
