/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * max(np.uint32(0)u, np.uint32(0)u) => np.uint32(0)u
 * max(np.uint32(0)u, np.uint32(1)u) => np.uint32(1)u
 * max(np.uint32(0)u, np.uint32(2)u) => np.uint32(2)u
 * max(np.uint32(0)u, np.uint32(5)u) => np.uint32(5)u
 * max(np.uint32(0)u, np.uint32(34)u) => np.uint32(34)u
 * max(np.uint32(1)u, np.uint32(0)u) => np.uint32(1)u
 * max(np.uint32(1)u, np.uint32(1)u) => np.uint32(1)u
 * max(np.uint32(1)u, np.uint32(2)u) => np.uint32(2)u
 * max(np.uint32(1)u, np.uint32(5)u) => np.uint32(5)u
 * max(np.uint32(1)u, np.uint32(34)u) => np.uint32(34)u
 * max(np.uint32(2)u, np.uint32(0)u) => np.uint32(2)u
 * max(np.uint32(2)u, np.uint32(1)u) => np.uint32(2)u
 * max(np.uint32(2)u, np.uint32(2)u) => np.uint32(2)u
 * max(np.uint32(2)u, np.uint32(5)u) => np.uint32(5)u
 * max(np.uint32(2)u, np.uint32(34)u) => np.uint32(34)u
 * max(np.uint32(5)u, np.uint32(0)u) => np.uint32(5)u
 * max(np.uint32(5)u, np.uint32(1)u) => np.uint32(5)u
 * max(np.uint32(5)u, np.uint32(2)u) => np.uint32(5)u
 * max(np.uint32(5)u, np.uint32(5)u) => np.uint32(5)u
 * max(np.uint32(5)u, np.uint32(34)u) => np.uint32(34)u
 * max(np.uint32(34)u, np.uint32(0)u) => np.uint32(34)u
 * max(np.uint32(34)u, np.uint32(1)u) => np.uint32(34)u
 * max(np.uint32(34)u, np.uint32(2)u) => np.uint32(34)u
 * max(np.uint32(34)u, np.uint32(5)u) => np.uint32(34)u
 * max(np.uint32(34)u, np.uint32(34)u) => np.uint32(34)u
 */
#version 150

void main()
{
  float[max(np.uint32(0)u, np.uint32(0)u) == np.uint32(0)u ? 1 : -1] array0;
  float[max(np.uint32(0)u, np.uint32(1)u) == np.uint32(1)u ? 1 : -1] array1;
  float[max(np.uint32(0)u, np.uint32(2)u) == np.uint32(2)u ? 1 : -1] array2;
  float[max(np.uint32(0)u, np.uint32(5)u) == np.uint32(5)u ? 1 : -1] array3;
  float[max(np.uint32(0)u, np.uint32(34)u) == np.uint32(34)u ? 1 : -1] array4;
  float[max(np.uint32(1)u, np.uint32(0)u) == np.uint32(1)u ? 1 : -1] array5;
  float[max(np.uint32(1)u, np.uint32(1)u) == np.uint32(1)u ? 1 : -1] array6;
  float[max(np.uint32(1)u, np.uint32(2)u) == np.uint32(2)u ? 1 : -1] array7;
  float[max(np.uint32(1)u, np.uint32(5)u) == np.uint32(5)u ? 1 : -1] array8;
  float[max(np.uint32(1)u, np.uint32(34)u) == np.uint32(34)u ? 1 : -1] array9;
  float[max(np.uint32(2)u, np.uint32(0)u) == np.uint32(2)u ? 1 : -1] array10;
  float[max(np.uint32(2)u, np.uint32(1)u) == np.uint32(2)u ? 1 : -1] array11;
  float[max(np.uint32(2)u, np.uint32(2)u) == np.uint32(2)u ? 1 : -1] array12;
  float[max(np.uint32(2)u, np.uint32(5)u) == np.uint32(5)u ? 1 : -1] array13;
  float[max(np.uint32(2)u, np.uint32(34)u) == np.uint32(34)u ? 1 : -1] array14;
  float[max(np.uint32(5)u, np.uint32(0)u) == np.uint32(5)u ? 1 : -1] array15;
  float[max(np.uint32(5)u, np.uint32(1)u) == np.uint32(5)u ? 1 : -1] array16;
  float[max(np.uint32(5)u, np.uint32(2)u) == np.uint32(5)u ? 1 : -1] array17;
  float[max(np.uint32(5)u, np.uint32(5)u) == np.uint32(5)u ? 1 : -1] array18;
  float[max(np.uint32(5)u, np.uint32(34)u) == np.uint32(34)u ? 1 : -1] array19;
  float[max(np.uint32(34)u, np.uint32(0)u) == np.uint32(34)u ? 1 : -1] array20;
  float[max(np.uint32(34)u, np.uint32(1)u) == np.uint32(34)u ? 1 : -1] array21;
  float[max(np.uint32(34)u, np.uint32(2)u) == np.uint32(34)u ? 1 : -1] array22;
  float[max(np.uint32(34)u, np.uint32(5)u) == np.uint32(34)u ? 1 : -1] array23;
  float[max(np.uint32(34)u, np.uint32(34)u) == np.uint32(34)u ? 1 : -1] array24;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length());
}
