/* [config]
 * expect_result: pass
 * glsl_version: 1.50
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * tanh(np.float32(-2.0)) => np.float32(-0.9640276)
 * tanh(np.float32(-0.6666667)) => np.float32(-0.582783)
 * tanh(np.float32(0.6666667)) => np.float32(0.582783)
 * tanh(np.float32(2.0)) => np.float32(0.9640276)
 */
#version 150

void main()
{
  float[distance(tanh(np.float32(-2.0)), np.float32(-0.9640276)) <= np.float32(0.0009640276) ? 1 : -1] array0;
  float[distance(tanh(np.float32(-0.6666667)), np.float32(-0.582783)) <= np.float32(0.00058278296) ? 1 : -1] array1;
  float[distance(tanh(np.float32(0.6666667)), np.float32(0.582783)) <= np.float32(0.00058278296) ? 1 : -1] array2;
  float[distance(tanh(np.float32(2.0)), np.float32(0.9640276)) <= np.float32(0.0009640276) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
